/**
 * SEARCH BAR COMPONENT
 * Componente di ricerca con autocomplete
 */
.rtds-search-bar {
        --_autocomplete-max-height: var(--autocomplete-max-height, 25rem);
        position: relative;
        width: 100%;
    }
.rtds-search-bar__form {
    width: 100%;
}
.rtds-search-bar__wrapper {
    display: flex;
}
.rtds-search-bar__input-wrapper {
    position: relative;
    height: var(--spacing-16);
    flex: 1 1 0%;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
    display: flex;
    align-items: center;
    border-radius: 0.5rem;
        transition: border-color 0.2s ease;
}
/*.rtds-search-bar__input-wrapper:hover:not(:has(.autocomplete__input:focus)) {
        @apply rtds-border-gray-03;
    }*/
/*.rtds-search-bar--focus .rtds-search-bar__input-wrapper {
        @apply rtds-border-primary;
    }*/
.rtds-search-bar__autocomplete {
    height: 100%;
    flex: 1 1 0%;
}
.rtds-search-bar .autocomplete__wrapper {
    height: 100%;
}
/* Autocomplete input styling */
.rtds-search-bar .autocomplete__input {
    height: 100%;
    width: 100%;
    background-color: transparent;
    padding-top: var(--spacing-2);
    padding-bottom: var(--spacing-2);
    padding-left: var(--spacing-3);
    padding-right: var(--spacing-28);
    font-size: var(--fontsize-text-sm);
    font-weight: 500;
        color: var(--color-content-03);
        border-color: var(--color-border-input);
    border-radius: 0.5rem;
    border-width: 1px;
        transition: border-color 0.2s ease;
}
.rtds-search-bar .autocomplete__input:hover,
    .rtds-search-bar .autocomplete__input:focus:not(:focus-visible) {
        border-color: var(--color-border-input);
    }
.rtds-search-bar .autocomplete__input:hover,
    .rtds-search-bar .autocomplete__input:focus:where(:not(:focus-visible)),
    .rtds-search-bar .autocomplete__input--focused:where(:not(:focus-visible)),
    .is-opened-by-pointer .autocomplete__input--focused {
    outline-width: 0px;
        outline: 2px solid transparent;
        box-shadow: none;
}
.rtds-search-bar .autocomplete__input::-moz-placeholder {
    font-size: var(--fontsize-text-base);
        color: var(--color-content-03);
}
.rtds-search-bar .autocomplete__input::placeholder {
    font-size: var(--fontsize-text-base);
        color: var(--color-content-03);
}
/* Clear button */
.rtds-search-bar__clear {
    position: absolute;
    right: var(--spacing-16);
    top: 50%;
    z-index: 10;
    --tw-translate-y: -50%;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
        transition: background-color 0.2s ease;
}
/*.rtds-search-bar__clear:hover {
        @apply rtds-background-secondary rtds-text-white;
    }*/
/* Submit button */
.rtds-search-bar__submit {
    position: absolute;
    right: var(--spacing-2);
    top: 50%;
    z-index: 10;
    flex-shrink: 0;
    --tw-translate-y: -50%;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}
/* Variant: Compact */
/* .rtds-search-bar--compact .rtds-search-bar__input-wrapper {
        @apply rtds-h-12;
    }

    .rtds-search-bar--compact .autocomplete__input {
        @apply rtds-py-1 rtds-pl-2 rtds-pr-16 rtds-text-sm rtds-h-full;
    }

    .rtds-search-bar--compact .rtds-search-bar__submit {
        @apply rtds-w-8 rtds-h-8;
    }

    .rtds-search-bar--compact .rtds-search-bar__clear {
        @apply rtds-w-5 rtds-h-5 rtds-right-10;
    }*/
/* Variant: Full width */
/* .rtds-search-bar--full-width {
        @apply rtds-w-full;
    }*/
/* Autocomplete menu styling */
:where(.rtds-search-bar) .autocomplete__menu {
    margin-top: var(--spacing-2);
        background-color: var(--color-background-01);
        border-color: var(--color-border-gray-01);
    border-radius: 0.5rem;
    --tw-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
    --tw-shadow-colored: 0 4px 6px -1px var(--tw-shadow-color), 0 2px 4px -2px var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
    border-width: 1px;
        max-height: var(--_autocomplete-max-height);
        overflow-y: auto;
}
:where(.rtds-search-bar) .autocomplete__option {
    border-width: 0px;
    padding-left: var(--spacing-3);
    padding-right: var(--spacing-3);
    padding-top: var(--spacing-2);
    padding-bottom: var(--spacing-2);
    font-size: var(--fontsize-text-sm);
    font-weight: 500;
        color: var(--color-content-03);
        background-color: var(--color-background-01);
}
:where(.rtds-search-bar) .autocomplete__option:hover,
    :where(.rtds-search-bar) .autocomplete__option--focused {
        background-color: var(--color-background-02);
    }
:where(.rtds-search-bar) .autocomplete__option--focused {
      outline-style: solid;
      outline-width: 2px;
      outline-offset: -2px;
      outline-color: var(--color-focusring);
    }
:where(.rtds-search-bar) .autocomplete__option--focused:where(:not(:focus-visible)) {
      outline: 2px solid transparent;
      box-shadow: none;
    }
/* Hide default dropdown arrow */
.rtds-search-bar .autocomplete__dropdown-arrow-down-wrapper {
    display: none;
}
/* Autocomplete suggestion styling */
.rtds-search-bar__autocomplete-suggestion {
    flex-direction: column;
    display: flex;
    gap: var(--spacing-1);
}
.rtds-search-bar__suggestion-title {
    font-size: var(--fontsize-text-sm);
        color: var(--color-content-01);
    font-weight: 700;
}
.rtds-search-bar__suggestion-type {
    font-size: var(--fontsize-text-xs);
    font-weight: 400;
        color: var(--color-content-03);
}
/* All results option content wrapper */
/* All results option styling */
.autocomplete__option.rtds-search-bar__all-results-option-wrapper {
    justify-content: flex-end;
    padding-left: var(--spacing-3);
    padding-right: var(--spacing-3);
    display: flex;
}
.autocomplete__option.rtds-search-bar__all-results-option-wrapper:hover,
    .autocomplete__option.rtds-search-bar__all-results-option-wrapper:focus {
        background-color: var(--color-background-01);
    }
.rtds-search-bar__all-results-option {
    width: 100%;
    flex-direction: row;
    justify-content: flex-end;
    border-top-width: 1px;
    padding-top: var(--spacing-2);
    padding-bottom: var(--spacing-2);
        border-color: var(--color-border-gray-03);
    display: flex;
}
.rtds-search-bar__all-results-option:hover .rtds-search-bar__all-results-link {
    text-decoration-line: underline;
}
.rtds-search-bar__all-results-link {
    display: flex;
    align-items: center;
    gap: var(--spacing-2);
}
.rtds-search-bar__all-results-link:hover {
    text-decoration-line: underline;
}
/* Mobile Search Modal */
.rtds-search-bar__mobile-wrapper {
    display: inline-flex;
}
.rtds-search-bar__modal {
    z-index: 50;
}
.rtds-search-bar__modal[aria-hidden="false"] {
    display: flex;
}
.rtds-search-bar__modal > div {
    max-width: 100%;
}
